Zend Optimizer executable stack

General discussion on Zend Guard / Optimizer

Zend Optimizer executable stack

Postby mabi24 on Sun Jul 18, 2010 1:07 pm

<puts Gentoo PHP maintainer hat on />
Hi folks,

I've just been informed of http://bugs.gentoo.org/264856 (ZendOptimizer have executable stack, php needs PAX flag MPROTECT disabled) and would like to ask if it is intended and necessary for ZendOptimizer to run with an executable stack like this. It inconveniences hardened users and confuses quite many folks, appearently. I've also found viewtopic.php?f=57&t=451&p=19972, but the post doesn't mention if this is "works as advertised" because your public documentation lacks information on running under SELinux or PAX (or I lack searching skills, please point me in the right direction if that's the case).

Please advise.
mabi24
 
Posts: 2
Joined: Sun Jul 18, 2010 12:59 pm

Re: Zend Optimizer executable stack

Postby kentatzend on Mon Jul 19, 2010 4:20 pm

At present we don't officially support running under SE Linux.
User avatar
kentatzend
 
Posts: 1778
Joined: Thu Dec 11, 2008 1:08 pm


Return to Zend Guard / Optimizer

Who is online

Users browsing this forum: No registered users and 1 guest